package game.command;

import game.entity.npc.EntityNPC;
import game.network.NetHandlerPlayServer;

public class PlayerEntityParser extends PlayerParser {
	public PlayerEntityParser(String name, boolean useSender) {
		super(name, useSender);
	}

	public Object parse(ScriptEnvironment env, String input) {
		NetHandlerPlayServer net = (NetHandlerPlayServer)super.parse(env, input);
		EntityNPC entity = net.getEntity();
		if(entity == null)
			throw new ScriptException("Spieler-Objekt von '%s' wurde nicht gefunden", input);
		return entity;
	}
	
	public Object getDefault(ScriptEnvironment env) {
		NetHandlerPlayServer net = (NetHandlerPlayServer)super.getDefault(env);
		return net == null ? null : net.getEntity();
	}

	public Class<?> getTypeClass() {
		return EntityNPC.class;
	}
}
