package game.command;

import java.util.List;

import game.network.NetHandlerPlayServer;

public class PlayerParser extends CompletingParser {
	protected final boolean useSender;
	
	public PlayerParser(String name, boolean useSender) {
		super(name);
		this.useSender = useSender;
	}

	public Object parse(ScriptEnvironment env, String input) {
		NetHandlerPlayServer net = env.getServer().getPlayer(input);
		if(net == null)
			throw new ScriptException("Spieler '%s' wurde nicht gefunden", input);
		return net;
	}
	
	public Object getDefault(ScriptEnvironment env) {
		return this.useSender && env.getExecutor() instanceof NetHandlerPlayServer ? (NetHandlerPlayServer)env.getExecutor() : null;
	}
	
	public String[] getCompletions(ScriptEnvironment env) {
		List<String> comp = env.getServer().getAllUsernames();
		return comp.toArray(new String[comp.size()]);
	}

	public Class<?> getTypeClass() {
		return NetHandlerPlayServer.class;
	}
}
